Be in love with vulnerability scanning

Mageni is a powerful and easy vulnerability scanner used by companies of all sizes. You will be in love with Mageni's powerful features, ease of use and price. Free for 7-days then $39 monthly for infinite IPs.

Start now 

No Contracts, Cancel at Anytime and 7-days Money-Back Guarantee.

App screenshot

CVE-2004-1151

CVE information

Published

17 years ago

Last Modified

5 years ago

CVSSv2.0 Severity

High

Impact Analysis

Description

Multiple buffer overflows in the (1) sys32_ni_syscall and (2) sys32_vm86_warning functions in sys_ia32.c for Linux 2.6.x may allow local attackers to modify kernel memory and gain privileges..

CVSSv2.0 Score

Severity
High
Base Score
7.2/10
Exploit Score
3.9/10
Access Vector
Local
Access Complexity
Low
Authentication Required
None
Impact Score
10/10
Confidentiality Impact
Complete
Availability Impact
Complete
Integrity Impact
Complete

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:o:linux:linux_kernel:2.6.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.6.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:ubuntu:ubuntu_linux:4.1:*:ppc:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.6.0:test5:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.6.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.6.0:test2:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.6.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.6_test9_cvs:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.6.7:rc1:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.6.1:rc1:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.6.1:rc2:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.6.6:rc1:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.6.7:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:ubuntu:ubuntu_linux:4.1:*:ia64:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.6.0:test4:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.6.0:test6:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.6.10:rc2:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.6.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.6.8:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.6.0:test10:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.6.0:test11:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.6.0:test9:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.6.9:2.6.20:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.6.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.6.0:test1:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.6.0:test7:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.6.8:rc1:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.6.0:test3:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.6.6:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.6.8:rc3:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.6.0:test8:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.6.8:rc2:*:*:*:*:*:*
  Yes
- -

Every 11 seconds there is a ransomware attack.

Mageni can help you manage this threat by understanding your vulnerabilities and prioritizing the remediation.

Sign up for free